Skip to content
Permalink
Browse files

Bump dependencies to satisfy lein-nvd

This bumps clojure library deps that have a new versions, as well as adding
exclusions/explicit dependencies on some libraries in order to satisfy the
National Vulnerability Database

Semi-related to #446
  • Loading branch information
dakrone committed Apr 25, 2018
1 parent 98ea869 commit edf6fe9d48eb1987709190d26432c299f679573a
Showing with 12 additions and 6 deletions.
  1. +12 −6 project.clj
@@ -15,26 +15,32 @@
[commons-codec "1.11"]
[commons-io "2.6"]
[slingshot "0.12.2"]
[potemkin "0.4.4"]]
[potemkin "0.4.5"]]
:resource-paths ["resources"]
:profiles {:dev {:dependencies [;; optional deps
[cheshire "5.8.0"]
[crouton "0.1.2"]
[crouton "0.1.2" :exclusions [[org.jsoup/jsoup]]]
[org.jsoup/jsoup "1.11.3"]
[org.clojure/tools.reader "1.2.2"]
[com.cognitect/transit-clj "0.8.300"]
[ring/ring-codec "1.1.0"]
[com.cognitect/transit-clj "0.8.309"]
[ring/ring-codec "1.1.1"]
;; other (testing) deps
[org.clojure/clojure "1.9.0"]
[org.clojure/tools.logging "0.4.0"]
[ring/ring-jetty-adapter "1.6.3"]
[ring/ring-jetty-adapter "1.6.3"
:exclusions [[org.eclipse.jetty/jetty-server]]]
[org.eclipse.jetty/jetty-server "9.4.9.v20180320"]
[ring/ring-devel "1.6.3"]
;; caching example deps
[org.clojure/core.cache "0.7.1"]
;; logging
[org.apache.logging.log4j/log4j-api "2.11.0"]
[org.apache.logging.log4j/log4j-core "2.11.0"]
[org.apache.logging.log4j/log4j-1.2-api "2.11.0"]]
:plugins [[lein-ancient "0.6.15"]]}
:plugins [[lein-ancient "0.6.15"]
[jonase/eastwood "0.2.5"]
[lein-kibit "0.1.5"]
[lein-nvd "0.5.2"]]}
:1.6 {:dependencies [[org.clojure/clojure "1.6.0"]]}
:1.7 {:dependencies [[org.clojure/clojure "1.7.0"]]}
:1.8 {:dependencies [[org.clojure/clojure "1.8.0"]]}}

0 comments on commit edf6fe9

Please sign in to comment.
You can’t perform that action at this time.